<?php session_start();
//ini_set('display_errors', 'On');
if(isset($_REQUEST['debug'])) {ini_set('display_errors', 'On');}
	require ('milfs/xajax/xajax.inc.php');
	//$xajax = new xajax();
	$xajax = new xajax("");
	//$xajax = new xajax("https://tupale.co/index.php");
	require ("milfs/funciones/conex.php");
   require ('milfs/funciones/funciones.php');
   include ('milfs/addon/funciones.php');
   require ("milfs/includes/markdown.php");
   require ("milfs/includes/parametrizacion.php");
   require ("milfs/includes/simple_html_dom.php");
	$xajax->processRequests();  ?>
<!DOCTYPE html>
<html lang="en">
   <head >

   <meta http-equiv="Cache-control" content="public">
    <meta charset="UTF-8">
    <meta name="viewport" content="user-scalable=no, width=device-width,  maximum-scale=1,  initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Chrome, Firefox OS y Opera -->





<?php
$embebido =0;
$acceso = 0;
$onload="";
$menu_lateral="";
$id_empresa="";
$link_empresa="";
$razon_social="";
$opciones="";
$background_imagen = "";
$titulo = array();
$sigla = "";
$slogan[] = "";
$uri_set = "";
$uri = "";
$set = "";
$descripcion_meta ="";
$identificador = "";
if(isset($_REQUEST['v'])) {
$variable = $_REQUEST['v'];
}else { $variable="";}
$cols_interior ="12";
$menu="";
$orden="";
$cantidad_registros ="10";
$librerias_cabeza ="";
$librerias_pie ="";




/// a= Aplicacion
/// b = libro
/// c= Presentacion
/// d= IDENTIFICADOR EDITABLE *
/// e = EMPRESA *
/// f= FORMULARIO *
/// g=FORMULARIO EMBEBIDO *
/// h=ADDON *
/// i= IDENTIFICADOR *
/// I= IDENTIFICADOR EMBEBIDO*
/// j=ADDON EMBEBIDO *
/// l= Listado
/// p= Planilla
/// s= SET DE DATOS *
/// S= SET DE DATOS EMBEBIDO


//$destacados = mas_visto("ultimos","6","6");
//$aleatorios = mas_visto("aleatorios","6","6");
//if (isset($_GET['v'])) {$variable = $_GET['v'];}else {$variable = "";}
if (isset($_REQUEST['empresa'])) {$variable = "e".$_REQUEST['empresa'];}
elseif (isset($_REQUEST['form']) AND isset($_REQUEST['embebido']) ) {$variable = "g".$_REQUEST['form'];}
elseif (isset($_REQUEST['identificador']) AND $_REQUEST['t'] =='edit' ) {$variable = "d".$_REQUEST['identificador'];}
elseif (isset($_REQUEST['addon']) AND isset($_REQUEST['embebido']) ) {$variable = "j".$_REQUEST['addon'];}
elseif (isset($_REQUEST['set'])) {$variable = "s".$_REQUEST['set'];}
elseif (isset($_REQUEST['identificador'])) {$variable = "i".$_REQUEST['identificador'];}
elseif (isset($_REQUEST['form'])) {$variable = "f".$_REQUEST['form'];}
elseif (isset($_REQUEST['addon'])) {$variable = "h".$_REQUEST['addon'];}
else {}

//$variable="b43";
//$variable="b115";
if(isset($_REQUEST['variable'])){
$variable= $_REQUEST['variable'];
}
$v = decodifica_parametro($variable);
if(isset($_REQUEST['plantilla'])){
$plantilla= $_REQUEST['plantilla'];
}else {$plantilla= "landingpage";}

	  			if($_REQUEST['tema'] !="") { $tema= "$_REQUEST[tema]";}
				else {
						if($v[0] =='a') { $tema='aplicacion';	}else{$tema="moon";}
						}
$presentacion_cabeza = "
		<link rel='stylesheet' href='librerias/reveal/css/reveal.css'>
		<link rel='stylesheet' href='librerias/reveal/css/theme/$tema.css' id='theme'>

		<!-- Theme used for syntax highlighting of code -->
		<link rel='stylesheet' href='librerias/reveal/lib/css/zenburn.css'>

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'lbrerias/reveal/css/print/pdf.css' : 'librerias/reveal/css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>

		<!--[if lt IE 9]>
		<script src='lib/js/html5shiv.js'></script>
		<![endif]-->	  		

	  		";
	  		
$presentacion_pie="
			<script src='librerias/reveal/lib/js/head.min.js'></script>
		<script src='librerias/reveal/js/reveal.js'></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'librerias/reveal/lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'librerias/reveal/plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'librerias/reveal/plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'librerias/reveal/plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'librerias/reveal/plugin/zoom-js/zoom.js', async: true },
					{ src: 'librerias/reveal/plugin/notes/notes.js', async: true }
				]
			});

		</script>	  		
	  		";

if ($variable !=''){
 		
 		if($v[0] =='e') {
 			/// e = EMPRESA
			$id_empresa = $v[1];
			$id =$id_empresa;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			if($titulo[0] !="") {
			$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			
			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			//$background_imagen = buscar_imagen('',"","","$id_empresa");
			  $background_imagen = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			  $background_imagen =  $background_imagen[0];
			$uri_set = "";
			$acceso = 1;
						$menu ="
				<div class='col-sm-2 hidden-xs hidden-sm'>
			<div class='container'>
			<nav style=' max-height:95% !important ; overflow:auto !important;  ' id='toc' data-spy='affix' data-toggle='toc'></nav>
			</div>
				</div>";
				$cols_interior ="10";
			}else {
				$onload = "<script type=\"text/javascript\">location.href='404';</script> ";			
			}
 		}
		elseif($v[0] =='b') {
			/// s= SET DE DATOS
	  		$set =$v[1];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = @remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			//$titulo = 	remplacetas('form_id','id',"$set",'nombre',"") ;
			//$descripcion = 	remplacetas('form_id','id',"$set",'descripcion',"") ;
			$titulo = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$descripcion = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
			$background_imagen = buscar_imagen("$set","","","$id_empresa");
			$uri_set = "";
			$cantidad_registros="";
			$orden="DESC";
			
			$menu ="
				<div class='col-sm-2 hidden-xs hidden-sm'>
			<div class='container'>
			<nav style=' max-height:95% !important ; overflow:auto !important;  ' id='toc' data-spy='affix' data-toggle='toc'></nav>
			</div>

				</div>";
			$cols_interior ="10";
			//$onload = landingpage_contenido_formulario($set);
			$publico = remplacetas('form_id','id',"$set",'publico',"") ;
				if($publico[0] =='1' OR $_SESSION['id_empresa'] == $id_empresa ) {$acceso = 1;}  
			}
		elseif($v[0] =='s') {
			/// s= SET DE DATOS
	  		$set =$v[1];
			$empresa = 	remplacetas('form_id','id',"$set",'id_empresa',"") ;
			$logo = remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			$titulo = 	remplacetas('form_id','id',"$set",'nombre',"") ;
			$descripcion = 	remplacetas('form_id','id',"$set",'descripcion',"") ;
			$background_imagen = buscar_imagen("$set","","","$id_empresa");
			$uri_set = "";
			//$onload = landingpage_contenido_formulario($set);
			//$onload = "".consultar_contenido_formulario("$set",'5','','','',"$plantilla")."";
			
			$publico = remplacetas('form_id','id',"$set",'publico',"") ;
				if($publico[0] =='1' OR $_SESSION['id_empresa'] == $id_empresa ) {$acceso = 1;} 
				//$acceso=1;
			}
		elseif($v[0] =='S') {
			$set =$v[1];
			/// s= SET DE DATOS
	  		$embebido = "1";
			$onload = "".consultar_contenido_formulario("$set",'5','','embebido','',"$plantilla")."";

			}
		elseif($v[0] =='l') {
			$set =$v[1];
			/// s= SET DE DATOS
	  		$embebido = "1";
	  		if(isset($_REQUEST['print'])) { $print = "window.print()";}
			$onload = "".consultar_contenido_formulario("$set",'',"",'listado','',"$plantilla")." <script type=\"text/javascript\">$print</script> ";

			}
		elseif($v[0] =='I') {
			$identificador =$v[1];
				  			if(strlen($identificador) > 32) {
					$identificador_original= $identificador;
					$key =  substr($identificador, 32, $length = 40);
					$identificador =  substr($identificador, 0, $length = 32);
				} else {$identificador_original = $identificador;}
				$impresion = landingpage_contenido_identificador("$identificador_original","$id_form","social",'head');

			$impresion = strip_tags($impresion);
			//$impresion= str_replace('\t', '', $impresion);
			$impresion = preg_replace("[\n|\r|\n\r|\t]",'', $impresion);
			$descripcion_meta = $impresion;
			$primer = 	formulario_uso("","$identificador",'primer') ;
			$id_form="$primer[3]";
	  		$embebido = "1";
			//$onload = mostrar_identificador("$identificador","$id_form","landingpage",'simple');
			$onload = landingpage_contenido_identificador("$identificador_original","$id_form","$plantilla",'simple');

			}
		elseif($v[0] =='p') {
			$set =$v[1];
			/// s= SET DE DATOS
	  		$embebido = "1";
	  		if(isset($_REQUEST['print'])) { $print = "window.print()";}
			$onload = "".planilla("$set","$_REQUEST[registros]")." <script type=\"text/javascript\">$print</script> ";

			}
		elseif($v[0] =='i') {
			/// i= IDENTIFICADOR
	  		$identificador =$v[1];
	  			if(strlen($identificador) > 32) {
					$identificador_original= $identificador;
					$key =  substr($identificador, 32, $length = 40);
					$identificador =  substr($identificador, 0, $length = 32);
				} else {$identificador_original = $identificador;}
	  		$primer = 	formulario_uso("","$identificador",'primer') ;
			$id_form="$primer[3]";
			//$form = 	remplacetas('form_datos','control',$identificador,'form_id',"") ;
			$empresa = 	remplacetas('form_id','id',$id_form,'id_empresa',"") ;
			$logo = @remplacetas('empresa','id',"$id_empresa[0]",'imagen','') ;
			$id_empresa = $empresa[0];
			$id = $empresa[0];
			$embebido = "0";
			//$impresion = mostrar_identificador("$identificador","$id_form[0]","landingpage",'simple');
			$impresion = landingpage_contenido_identificador("$identificador_original","$id_form","social",'head');
			$razon_social = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$impresion = strip_tags($impresion);
			//$impresion= str_replace('\t', '', $impresion);
			$impresion = preg_replace("[\n|\r|\n\r|\t]",'', $impresion);
			$descripcion_meta = $impresion;
			$titulo = 	remplacetas('form_id','id',$id_form,'nombre',"") ;
			$descripcion = 	remplacetas('form_id','id',$id_form,'descripcion',"") ;
			$background_imagen = buscar_imagen("$id_form",$identificador,"","");
			$uri_set = "<a class='' href='s$id_form'>$titulo[0]</a>";
			$publico = remplacetas('form_id','id',$id_form,'publico',"") ;
			//if($publico[0] =='1') {$acceso = 1;}
			$acceso = 1;
		}

		elseif($v[0] =='d') {
			/// d= IDENTIFICADOR EDITABLE
	  		$identificador =$v[1];

	  			//  		$form =$v[1];
	  		//$embebido = "1";
			//$onload = formulario_embebido_ajax($form[0],'$identificador','edit');


			$form = 	remplacetas('form_datos','control',$identificador,'form_id',"") ;
			$empresa = 	remplacetas('form_id','id',$form['0'],'id_empresa',"") ;
			$id_empresa = $empresa[0];
			$id = $empresa[0];
			$impresion = mostrar_identificador("$identificador","","landingpage",'');
			$impresion = strip_tags($impresion);
			$descripcion_meta = $impresion;
			$titulo = 	remplacetas('form_id','id',$form['0'],'nombre',"") ;
			$background_imagen = buscar_imagen("$form[0]",$identificador,"","");
			$uri_set = "<a class='' href='s$form[0]'>$titulo[0]</a>";
			$publico = remplacetas('form_id','id',$form[0],'publico',"") ;
			if($publico[0] =='1') {$acceso = 1;}
				$t = "edit";
				$embebido = "1";

		//	$onload = $identificador;
		//	$onload = formulario_embebido_ajax("$form[0]","$identificador",'edit');
				$onload =" <script type=\"text/javascript\">xajax_formulario_embebido_ajax($form[0],'$identificador','edit')</script>";

		}
		elseif($v[0] =='f') {
			/// f= FORMULARIO
	  		$form =$v[1];
	  		$onload =" <script type=\"text/javascript\">xajax_formulario_embebido_ajax('$form','','nuevo')</script>";
		}
		elseif($v[0] =='c') {
			/// f= FORMULARIO
	  		$form =$v[1];
	  		$presentacion = contenido_presentacion("$form");
	  		$embebido = "1";
	  		$empresa = 	remplacetas('form_id','id',"$form",'id_empresa',"") ;
	  		$id_empresa= $empresa[0];
	  		$logo = remplacetas('empresa','id',$id_empresa,'imagen','') ;
	  		$no_mostrar ="display:none; ";
	  			if($_REQUEST['tema'] !="") { $tema= "$_REQUEST[tema]";}
				else {$tema="moon";}
	  		$librerias_cabeza =$presentacion_cabeza;
	  		$librerias_pie =$presentacion_pie;
	  		
	  		$onload="
	  			<div class='reveal'>
					<div class='slides'>
					$presentacion
					</div>
				</div>";
		}
		elseif($v[0] =='a') {
			$form =$v[1];
			$plantilla="carousel";
			/// a=Aplicacion
			$geo = buscar_campo_tipo($form,"14");
			$embebido = "1";
	  		$empresa = 	remplacetas('form_id','id',$form,'id_empresa',"") ;
	  		$razon_social_portal = remplacetas('empresa','id',"1",'razon_social','') ;
			$id_empresa = $empresa[0];
			$titulo = 	remplacetas('form_id','id',$form,'nombre',"") ;
			$descripcion = 	remplacetas('form_id','id',$form,'descripcion',"") ;
				  		$no_mostrar ="display:none; ";
	$aplicacion_pie="
			<script src='librerias/reveal/lib/js/head.min.js'></script>
		<script src='librerias/reveal/js/reveal.js'></script>

		<script>

			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				width: '100%',
				height: '95%',
				touch: false,
				controls: false,
				progress: true,
				history: true,
				center: true,

				transition: 'slide', // none/fade/slide/convex/concave/zoom

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					
				]
			});

		</script>	 
		<script src='librerias/slick/slick.js' type='text/javascript' charset='utf-8'></script>
			  
	  		";
	  		$librerias_galeria =" 
	  		  <link rel='stylesheet' type='text/css' href='librerias/slick/slick.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/slick-theme.css'>
			  <link rel='stylesheet' type='text/css' href='librerias/slick/style.css'>
	  		";
	  		$librerias_cabeza ="$presentacion_cabeza $librerias_galeria";
	  		$librerias_pie =$aplicacion_pie;

	  		$registros = aplicacion_carrusel("$form",'10','','embebido','',"carousel");
	  		//$registros="<div id='mostrar_carrusel'>$registros</div>";
	 // 		$formulario = formulario_embebido($form,$opciones);
	  		$titulo = 	remplacetas('form_id','id',$form,'nombre',"") ;
	  		$razon_social = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
			$slogan = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
	  		$web =  remplacetas('empresa','id',"$id_empresa",'web','');
	  		$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
			if($geo[0] != "") {
			$mapa = "
			<a name='mapa'></a>
			<div class=' '>
	  			<iframe class='' src='mapero.php?id=$form' width='100%' height='900px;'  webkitAllowFullScreen mozallowfullscreen allowFullScreen ></iframe>
	  		</div>";
			}else {$mapa = "";}
			$estadisticas = portal_listado_campos("$form");
			$acciones= formulario_acciones("$form","aplicacion");
			$no_mostrar="display:none; ";
			$footer="  
			<nav class='navbar navbar-inverse navbar-fixed-bottom'>
  <div class=''>

    <ul class='nav navbar-nav center-block' style='
    float:none;
    margin:0 auto;
    display: block;
    text-align: center;'>
      $acciones
    </ul>
  </div>
</nav>";

	  		
	  		
	  			  		$onload="
	  			  		
	  			<div class='reveal' style='bottom: 80px !important; '>
					<div class='slides' >
						<section id='inicio' class='text-center' >
							<img style='width: 20%;
  display: block;
  margin-left: auto;
  margin-right: auto;' src='milfs/images/secure/?file=600/$logo[0]' alt='' class='img img-responsive  center-block'>
							<h1>$titulo[0]</h1>
							<h2>$descripcion[0]</h2>
							<hr>
							<h2>$razon_social[0]</h2>
							<h3>$slogan[0]</h3>
							<hr>
							<a href='https://tupale.co'>Tupale.co</a>
						</section>
						<section id='galeria' style='width:100% ; background-color:#333;'>
							<div id='mostrar_carrusel'>
								$registros
							</div>
						</section>
						<section id='estadisticas' class='scrollable' >
						
						$estadisticas
					
						</section>
						<section id='mapa'>
						$mapa
						</section>
					</div>
				</div>$footer";
	  		//$onload = "$footer $aplicacion ";

		}
		elseif($v[0] =='g') {
			/// g=FORMULARIO EMBEBIDO
	  		$form =$v[1];
	  		$embebido = "1";
			$onload = formulario_embebido($form,$opciones);
		}
		elseif($v[0] =='h') {
			/// h=ADDON
	  		$addon =$v[1];
			$onload = include("milfs/addon/$addon/$addon".".php");
		}
		elseif($v[0] =='j') {
			/// j=ADDON EMBEBIDO
	  		$addon =$v[1];
	  		$embebido = "1";
			$onload = include("milfs/addon/$addon/$addon".".php");
		}
		else{


		}
$video = remplacetas('form_parametrizacion','campo',"presentacion",'descripcion'," tabla='empresa' and  opcion = 'video' and id_empresa = '$id_empresa'") ;
if($video[0] !="") { $video ="<iframe type='text/html' width='640' height='385' src='https://www.youtube.com/embed/$video[0]' frameborder='0'></iframe>"; }
else {$video ="";}
$logo = remplacetas('empresa','id',"$id_empresa",'imagen','') ;
$direccion = remplacetas('empresa','id',"$id_empresa",'direccion','') ;
$telefono = remplacetas('empresa','id',"$id_empresa",'telefono','') ;
$email = remplacetas('empresa','id',"$id_empresa",'email','') ;
$facebook = remplacetas('empresa','id',"$id_empresa",'facebook','') ;
$twitter = remplacetas('empresa','id',"$id_empresa",'twitter','') ;
$razon_social = remplacetas('empresa','id',"$id_empresa",'razon_social','') ;
$slogan = remplacetas('empresa','id',"$id_empresa",'slogan','') ;
$sigla = remplacetas('empresa','id',"$id_empresa",'sigla','') ;
$link_empresa = "e$id_empresa";
 }else {
 	/*
 	if(isset($_SESSION['id_empresa'])) {
 		$id_empresa ="$_SESSION[id_empresa]";
 	}else { $id_empresa =""; }
 	*/
  $id_empresa="";
  $id="";

  $logo = remplacetas('empresa','id',"1",'imagen','') ;
  $background_imagen = remplacetas('empresa','id',"1",'imagen','') ;
  $background_imagen =  $background_imagen[0];
 //$titulo[0] ="Tupale.co";
  $titulo = remplacetas('empresa','id',"1",'razon_social','') ;
  $slogan = remplacetas('empresa','id',"1",'slogan','') ;
  //$descripcion[0] ="Los datos no hacen la felicidad, pero pueden medirla";
  $descripcion = remplacetas('empresa','id',"1",'slogan','') ;
  $twitter[0] ="tupaleco";
  $facebook[0] ="https://www.facebook.com/Qwerty-co-146226688795185";
  $video ="<div class='text-center'>
<!--   <iframe src='https://player.vimeo.com/video/3514904?color=ffffff&title=0&byline=0&portrait=0' width='640' height='281' frameborder='0' webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>  -->
  </div>
  ";

}
$css_adicional = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='css' and  opcion = 'adicional' and id_empresa = '$id_empresa'") ;

	if($css_adicional[0] !="") {
	$css_adicional ="<style >
	$css_adicional[0]
	</style>";
	}
	else {
	$css_adicional ="<style ></style>";
	}



$uri = $_SERVER['REQUEST_URI'];


	?>
	<?php echo $librerias_cabeza; ?>
<meta NAME="Language" CONTENT="Spanish">
<meta NAME="Revisit" CONTENT="1 days">
<meta NAME="Distribution" CONTENT="Global">
<meta NAME="Robots" CONTENT="All">
<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="<?php echo $twitter[0]; ?>">
<meta name="twitter:creator" content="@qwerty_co">
<meta name="twitter:url" content="<?php echo $uri ; ?>">
<meta name="twitter:title" content="<?php echo $titulo[0]; ?>">
<meta name="twitter:description" content=" <?php echo $descripcion_meta; ?>">
<meta name="twitter:image" content="<?php echo "$_SESSION[url]images/secure/?file=full/$background_imagen"; ?>">
   <meta property="og:type"  content="article">
<meta property="og:title" content="<?php echo $titulo[0]; ?>" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php echo "$uri"; ?>" />
<meta property="og:image" content="<?php echo "$_SESSION[url]images/secure/?file=full/$background_imagen"; ?>" />
<meta property="og:site_name" content="<?php echo $razon_social[0]; ?>" />
<meta property="og:description" content=" <?php echo $descripcion_meta; ?>" />
   <link rel="shortcut icon" href="<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>">
   <meta name='viewport' content='width=device-width'   >
<meta name='mobile-web-app-capable' content='yes'>
<link rel='icon' sizes='192x192' href='<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>'>

	<link rel="apple-touch-icon-precomposed" href="<?php echo "milfs/images/secure/?file=150/$logo[0]"; ?>">
	   <title><?php echo @$titulo[0]; ?> <?php echo strip_tags($slogan[0]); ?> Tupale.co </title>

	<?php $xajax->printJavascript("milfs/xajax/");
	//$xajax->debugOn();
	$xajax->statusMessagesOn();
	;?>
	<style>
	
@media all {
   div.saltopagina{
      display: none;
   }
}
   
@media print{
   div.saltopagina{ 
      display:block; 
      page-break-before:always;
   }   
   div.noprint{ 
      display:none; 
     
   }
}
<!-- 	ESTILOS PRIORITARIOS -->
.modal-dialog {
  width: 95% !important;
  height: auto;
  padding: 0;
}

.modal-lg {
  width: 95% !important;
  height: auto;
  padding: 0;
}

.modal-content {
  height: auto;
}
.modal-body {
    max-height: calc(100vh - 100px);
    overflow-y: auto;
}

fieldset.fieldset-borde {
    border: 2px solid #EDEDED !important;
    border-radius:3px;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
}

legend.legend-area {
        font-size: 1.2em !important;
        font-weight: bold !important;
        text-align: left !important;
        width:auto;
        padding:0 10px;
        border-bottom:none;
    }
	</style>
	<link href="./librerias/font-awesome/css/font-awesome.min.css" rel="stylesheet" >



  <!--  <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic" rel="stylesheet" type="text/css"> -->

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
 <?php



 	$css = remplacetas('form_parametrizacion','campo',"index",'descripcion'," tabla='css' and  opcion = 'bootstrap' and id_empresa = '$id_empresa'") ;
	if($css[0] !="") {
	$css ="
	<!-- incluir tema bootstrap parametrizado -->
	<link rel='stylesheet' href='$css[0]?".time()."' >";
	$tema="";
	}
	else {

	//	$tema= "magazine";
	$tema ="";
	$css ='
	<!-- incluir tema bootstrap por defecto -->
	<link rel="stylesheet" href="./librerias/bootstrap/css/bootstrap.min.css?'.time().'"  >';
	}
	 echo " <!-- tema $tema --> ";
 if($tema=="") {

 $barra="
 <div class='noprint nomostrar' style=' $no_mostrar  '>
 <nav style='' class='navbar navbar-inverse navbar-fixed-top topnav navbar-principal ' role='navigation'>

        <div style='padding:10px; ' class='container topnav '>



            <ul style=' ' class='nav navbar-nav navbar-center navbar-principal '>

            <li class='dropdown' >
                <a  style=' '  href='#' class='dropdown-toggle' data-toggle='dropdown' role='button' aria-haspopup='true' aria-expanded='false'><i class='fa fa-bars'></i> $portal_sigla</a>
		          <ul class='dropdown-menu' style='background-color: white; width:500px;' >
		          	<li><a class='' href='$portal_url'><i class='fa fa-home'></i>  Portal</a></li>
             		<li><a class='' href='$link_empresa'>$sigla[0] Inicio</a></li>
                  <li><a href='milfs/'>Administrador</a></li>
             		<li role='separator' class='divider'></li>
             		".aplicaciones_listado("$id_empresa",'','nav','')."
		          </ul>
            </li>

				 </ul>



        </div>

    </nav>
    </div>
    ";

 ?>  	<?php echo $css; ?>
     <script src="./librerias/jquery/jquery-2.1.4.min.js" ></script>
    <script src="./librerias/bootstrap/js/bootstrap.min.js" ></script>
        <script src="./librerias/charts/Chart.bundle.js"></script>
    <script src="./librerias/charts/utils.js"></script>

	<!-- morris  -->
 <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.1/morris.css">
 <script src="//cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
 <script src="//cdnjs.cloudflare.com/ajax/libs/morris.js/0.5.1/morris.min.js"></script>
<!-- morris  -->

<style>

.navbar .navbar-nav  {
    display: inline-block;
    float: none;

}
.navbar .navbar-collapse .navbar-principal {
    text-align: center;
        height: 30px;
    margin-top: -13px;

}

 .navbar-principal > li > a,   {
    padding-top:0px !important; padding-bottom:0 !important;
    height: 30px;
    margin-top: -13px;
}
.navbar-principal  {min-height:30px !important;}




.topnav  {
	width: 100px !important;
	display: inline;
	height: 30px;
	padding-top:-10px !important;
	padding-bottom:0 !important;
	height:30px;
	background:none;
	border:0px;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
}



/*width:80px; background: none; border:0px; -webkit-box-shadow: none;
-moz-box-shadow: none;
box-shadow: none;
*/

</style>
<style>
.fh5co-post-entry article h2{
 	font-size: 28px; !important;
 }
 #fh5co-offcanvas .fh5co-bio img{
border-radius: 10px !important;
 }
 fieldset.fieldset-borde {
    border: 2px solid #EDEDED !important;
    border-radius:3px;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
}

legend.legend-area {
        font-size: 1.2em !important;
        font-weight: bold !important;
        text-align: left !important;
        width:auto;
        padding:0 10px;
        border-bottom:none;
    }

 </style>
<?php
}
else {
	echo "
 <meta name='theme-color' content='#DF0101'/>
 <!-- Windows Phone -->
 <meta name='msapplication-navbutton-color' content='#DF0101'/>
 <!-- iOS Safari -->
<meta name='apple-mobile-web-app-capable' content='yes'/>
<meta name='apple-mobile-web-app-status-bar-style' content='black-translucent'/>

	";
include("temas/$tema/cabecera");
include("temas/$tema/pie");
$barra="

		          <ul  >
		          	<li><a class='' href='$portal_url'><i class='fa fa-home'></i>  Portal</a></li>
             		<li><a class='' href='$link_empresa'>".@$sigla[0]." Inicio</a></li>
                  <li><a href='milfs/'>Administrador</a></li>
             		<li role='separator' class='divider'></li>
             		".aplicaciones_listado("$id_empresa",'','nav','')."
		          </ul>

    ";


$menu_lateral = "
<div id='fh5co-offcanvas' class='noprint'>
		<a href='#' class='fh5co-close-offcanvas js-fh5co-close-offcanvas'><span><i class='icon-cross3'></i> <span>Close</span></span></a>
		<div class='fh5co-bio'>
			<figure>
				<img src='milfs/images/secure/?file=full/$logo[0]' alt='' class='img-responsive'>
			</figure>
			<h3 data-toc-skip >LO QUE SOMOS</h3>
			<h2 data-toc-skip >".@$razon_social[0]." </h2>
			<h3  >".@$titulo[0]."</h3>
			<p>".@$descripcion[0]."  </p>
			<ul class='fh5co-social'>
				<li><a href='https://twitter.com/$twitter[0]'><i class='icon-twitter'></i></a></li>
				<li><a href='https://www.facebook.com/$facebook[0]'><i class='icon-facebook'></i></a></li>

			</ul>
		</div>

		<div class='fh5co-menu'>
			<div class='fh5co-box'>

				 $barra

			</div>
			<!-- <div class='fh5co-box'>
				<h3 class='heading'>Search</h3>
				<form action='#'>
					<div class='form-group'>
						<input type='text' class='form-control' placeholder='Type a keyword'>
					</div>
				</form>
			</div> -->
		</div>
	</div>


";

}

 ?>

<!-- include codemirror (codemirror.css, codemirror.js, xml.js, formatting.js) -->
		<link rel="stylesheet" type="text/css" href="./librerias/codemirror/codemirror.css">
		<link rel="stylesheet" type="text/css" href="./librerias/codemirror/monokai.css">
		<script type="text/javascript" src="./librerias/codemirror/codemirror.js"></script>
		<script type="text/javascript" src="./librerias/codemirror/xml.js"></script>
		<script type="text/javascript" src="./librerias/codemirror/formatting.js"></script>

	<!--  wysiwyg -->
		<script src="./librerias/summernote/summernote.js"></script>
		    <!-- include summernote css/js-->
		<link href="./librerias/summernote/summernote.css" rel="stylesheet">

	 	<!-- add after bootstrap.min.js -->
		<script src="milfs/js/scripts.js"></script>
		   <link rel="stylesheet" href="./librerias/bootstrap-toc/bootstrap-toc.min.css">

		<script src="./librerias/bootstrap-toc/bootstrap-toc.min.js"></script>
		<script src="./librerias/ekko-lightbox/4.0.1/ekko-lightbox.min.js"></script>
		<link href='librerias/calendar/fullcalendar.min.css' rel='stylesheet' />
<link href='librerias/calendar/fullcalendar.print.min.css' rel='stylesheet' media='print' />
<script src='librerias/calendar/lib/moment.min.js'></script>
<script src='librerias/calendar/fullcalendar.min.js'></script>
<script src='librerias/calendar/locale/es.js'></script>

<?php echo $css_adicional; ?>
<?php  if(!isset($_SESSION['id']) ){ ?>
<script type="text/javascript">
 
function addLink() {
    var body_element = document.getElementsByTagName('body')[0];
    var selection;
    selection = window.getSelection();
    var pagelink = " /* <br /><br />Gracias por compartir, por favor cítanos así:<br/><a href='"+document.location.href+"'>"+document.location.href+"<br /><b>https://tupale.co</b> */";
    var copytext = selection + pagelink;
    var newdiv = document.createElement('div');
    newdiv.style.position='absolute';
    newdiv.style.left='-99999px';
    body_element.appendChild(newdiv);
    newdiv.innerHTML = copytext;
    selection.selectAllChildren(newdiv);
    window.setTimeout(function() {
    body_element.removeChild(newdiv);
    },0);
}
document.oncopy = addLink;
</script>
<?php } ?>
</head>

<body data-spy="scroll" data-target="#toc">
<!-- <div class="text-center">
<a href="frida.php?redirect" >
<img  class='center-block img img-responsive' src='https://tupale.co/milfs/images/frida.gif'>
</a>
<a href="frida.php" ><small class="center-block" >Â¿ Necesitas ayuda para apoyarnos ?</small></a>
</div> -->
<?php
//echo "<h1>$identificador</h1>";

 if($tema=="") {
  echo $barra ;
  }else{
   echo " " ;
}
  	if(isset($_SESSION['id'])) {$id_empresa_portada='1'; echo panel_aplicaciones('1',"$_SESSION[id_empresa]","");  }
if(isset($_REQUEST['eventos'])) {
	//$embebido='1';
				$titulo = 	remplacetas('form_id','id',"$_REQUEST[eventos]",'nombre',"") ;
$eventos= "
<script>

	$(document).ready(function() {
		
		$('#calendar').fullCalendar({
			header: {
				left: 'prev,next today',
				center: 'title',
				right: 'listMonth,month,agendaWeek,agendaDay,listYear,timeLineYear'
			},
			//defaultDate: '2017-10-12',
			defaultView: 'listMonth',
			themeSystem: 'bootstrap3',
			navLinks: true, // can click day/week names to navigate views
			editable: false,
			
			eventLimit: true, // allow \"more\" link when too many events
						events: {
				url: '$_SESSION[url]/api.php',
				type: 'GET',
        		data: {
            id: '$_REQUEST[eventos]',
            tipo:'simple'
       		 },
				error: function() {
					$('#script-warning').show();
				}
			},    
			buttonText: {
        listMonth: 'Agenda',
        listYear: 'Año',
        listDay: 'List Day'
    },
			loading: function(bool) {
				$('#loading').toggle(bool);
			}
		});
		
	});

</script><h1 class='titulo_eventos text-center'>$titulo[0]</h1><div class='container-fluid' id='calendar'></div><br>";


}
	if( $embebido =="1" ){ /* SI SE SOLICITA UN EMBEBIDO SE MUESTRA ESTO */



		echo $onload;

 		if(isset($set)) {

		}

?>
<!-- </div> -->
<!-- Modal -->

<div class='modal fade ' id='muestraInfo' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
  <div class='modal-dialog modal-lg' >
    <div class='modal-content'>
      <div class='modal-header' >
        <button type='button' class='close' data-dismiss='modal' aria-hidden='true'><i class='fa fa-times-circle'></i></button>
        <h4 class='modal-title' id='myModalLabel_info'><div id='titulo_modal'></div></h4>
      </div>
      <div class='modal-body'>

       <div id='muestra_form'>

       </div>
      </div>
      <div class='modal-footer' id='pie_modal'>


      </div>
    </div>
  </div>
</div>
<!-- Modal -->


    </body>
    </html>

						<?php //echo $barra ?>

<!-- fin embebido -->
<?php

	}
	else{ /* SI NO SE SOLICITA UN EMBEBIDO SE CONTINUA CON EL FLUJO DEL HTML */
	?>




<div class="col-sm-<?php echo $cols_interior; ?>">
<?php echo $menu_lateral ; ?>
		<!-- END #fh5co-offcanvas -->
	<header id="fh5co-header">



 			<div class="row">
 				<div class='pull-right'>
 				<a href="#" class="js-fh5co-nav-toggle fh5co-nav-toggle"><i></i></a>
				<ul class="fh5co-social list-inline intro-social-buttons ">

					<li><a href="https://twitter.com/<?php echo $twitter[0]; ?>"><i class="fa fa-twitter"></i></a></li>
					<li><a href="<?php echo $facebook[0]; ?>"><i class="fa fa-facebook"></i></a></li>
					<!-- <li><?php echo milfs_session("$login_formulario","$login_campo_usuario","$login_campo_password","boton",""); ?></li> -->

				</ul>

			</div>
				 <div id='meta_cabecera' class="col-lg-12 col-md-12 ">

					  <div class="row">

                   <div class="col-md-12">
                    <div id='formulario_login' class='' ></div>
	                 	  <img id='logo_cabecera' class='center-block img img-responsive' style='width:30%' src="milfs/images/secure/?file=600/<?php echo $logo[0]; ?>">
	                </div>
	                <div class="col-md-12 text-center">
	                <h1 id="fh5co-logo" data-toc-skip ><a href="./"><?php echo $titulo[0]; ?></a></h1>
							<div id='slogan_landingpage'><p><?php echo "$slogan[0] "; ?></p></div>
	                 </div>
	                 <div id="asistento" class="col-md-12 text-center">
	                 <?php
	                 if(isset($_REQUEST['asistento'])) {
                        echo asistente_aplicaciones("",'','','');
		                     }else {
		                  echo "<a href='?asistento' class='btn btn-success'>Quiero crear una campaña </a>";

		                     }
	                 ?>

	                 </div>

	                  <div class="col-md-12">
	                 	       <div class='center-block'>

	                          <?php


										if($id_empresa=="") {
											echo identificador_resaltado("1","");

											//echo milfs_session("$login_formulario","$login_campo_usuario","$login_campo_password","","");
											echo social_login("","","") ;


											}else {echo identificador_resaltado($id_empresa,"landingpage");} ?>
									</div>
							</div>
	              </div>

				</div>


	</header>
		<div class="container-fluid">
 <?php echo $eventos;?>
                        <?php

                        if($id_empresa=="") {


                        //echo mas_visto("aleatorios","4","");
                        echo "

                        	";
                        echo mas_visto("ultimos","4","4");
                        echo "<div class='clearfix visible-lg-block visible-md-block visible-sm-block visible-xs-block'></div>";
                       // echo mas_visto("identificador","4","");
                        //echo "<div class='clearfix visible-lg-block visible-md-block visible-sm-block visible-xs-block'></div>";
                        //echo mas_visto("formulario","4","");
                        echo "";
                     }
                        ?>

<?php
	if($acceso ==1) {
		if($set != "") {

		echo " ".consultar_contenido_formulario("$set",$cantidad_registros,'','contenido',"$orden","");


		}
		elseif($identificador !="") {
			//echo landingpage_contenido_identificador($identificador);
			echo "".landingpage_contenido_identificador("$identificador_original","$id_form","landingpage",'simple') ;
		}
		else{
					 if($id_empresa =="") {
					 	//echo multiempresa_listado('','')."Hola mundo";

					 }
					 else {
						//echo landingpage_contenido($id_empresa);
						echo landingpage_contenido($id_empresa);

					}
		}
	}else{ echo multiempresa_listado('',''); }
 ?>

    </div>


	<footer id="fh5co-footer">
		<small>
			<p class="">Tupale.co funciona gracias a <a href='https://QWERTY.co/milfs'>&copy; MILFS Un proyecto de https://QWERTY.co</a> Se distribuye bajo licencia GPL V3
			<a href="milfs/?psi" ><i class="fa fa-smile-o "></i> Políticas de privacidad y protección de datos.</a></p>
		</small>
	</footer>
</div>
   <?php echo $menu; ?>
</div>

<div class='modal fade ' id='muestraInfo' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
  <div class='modal-dialog modal-lg' >
    <div class='modal-content'>
      <div class='modal-header' >
        <button type='button' class='close' data-dismiss='modal' aria-hidden='true'><i class='fa fa-times-circle'></i></button>
        <h4 class='modal-title' id='myModalLabel_info'><div id='titulo_modal'></div></h4>
      </div>
      <div class='modal-body'>

       <div id='muestra_form'>

       </div>
      </div>
      <div class='modal-footer' id='pie_modal'>


      </div>
    </div>
  </div>
</div>
<!-- Modal -->

    <!-- Footer -->



    <?php echo $onload;  ?>

<?php } ?>

    <script type="text/javascript">

$(document).delegate('*[data-toggle="lightbox"]', 'click', function(event) {
    event.preventDefault();
    $(this).ekkoLightbox();
});

//// wysiwyg
var edit = function() {
  $('.wysiwyg').summernote({height: 250, codemirror: { theme: 'default' },dialogsInBody: true});
};

var save = function() {
  var makrup = $('.wysiwyg').summernote('code');
  $('.wysiwyg').summernote('destroy');
};


$(document).ready(function() {
  $('.wysiwyg_auto').summernote({dialogsInBody: true});
});

    </script>
    <!-- Piwik -->
 <script type="text/javascript">
  var _paq = _paq || [];
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="//stats.tupale.co/";
    _paq.push(['setTrackerUrl', u+'piwik.php']);
    _paq.push(['setSiteId', 1]);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s);
  })();
</script>
<noscript><p><img src="//stats.tupale.co/piwik.php?idsite=1" style="border:0;" alt="" /></p></noscript>
<!-- End Piwik Code -->
<?php echo $librerias_pie; ?>
</body>
</html>
